ixfr.c File Reference
`#include "config.h"`
`#include "util.h"`
`#include "signer/ixfr.h"`
`#include "signer/rrset.h"`
`#include "signer/zone.h"`

Go to the source code of this file.

## Functions

ixfr_type * | ixfr_create ()
void | ixfr_add_rr (ixfr_type *ixfr, ldns_rr *rr)
void | ixfr_del_rr (ixfr_type *ixfr, ldns_rr *rr)
int | ixfr_print (FILE *fd, ixfr_type *ixfr)
void | ixfr_purge (ixfr_type *ixfr, char const *zonename)
void | ixfr_cleanup (ixfr_type *ixfr)

## Function Documentation

## ixfr_add_rr()

void ixfr_add_rr | ( | ixfr_type * | ixfr,
|  | ldns_rr * | rr )

Add +RR to ixfr journal.

Definition at line 106 of file ixfr.c.

References ixfr().

Referenced by backup_read_ixfr(), rrset_diff(), and rrset_sign().

## ixfr_cleanup()

void ixfr_cleanup | ( | ixfr_type * | ixfr | ) |

Cleanup the ixfr journal.

Definition at line 277 of file ixfr.c.

References ixfr(), and IXFR_MAX_PARTS.

Referenced by zone_cleanup(), and zone_recover2().

## ixfr_create()

ixfr_type * ixfr_create | ( | void |  | ) |

Create a new ixfr journal.

Definition at line 91 of file ixfr.c.

References ixfr_struct::ixfr_lock.

Referenced by zone_create(), and zone_recover2().

## ixfr_del_rr()

void ixfr_del_rr | ( | ixfr_type * | ixfr,
|  | ldns_rr * | rr )

Add -RR to ixfr journal.

Definition at line 131 of file ixfr.c.

References ixfr().

Referenced by backup_read_ixfr(), namedb_wipe_denial(), rrset_diff(), rrset_drop_rrsigs(), and rrset_sign().

## ixfr_print()

int ixfr_print | ( | FILE * | fd,
|  | ixfr_type * | ixfr )

Print the ixfr journal.

Definition at line 214 of file ixfr.c.

References ixfr(), and IXFR_MAX_PARTS.

Referenced by adapi_printixfr().

## ixfr_purge()

void ixfr_purge | ( | ixfr_type * | ixfr,
|  | char const * | zonename )

Purge the ixfr journal.

Definition at line 237 of file ixfr.c.

References ixfr(), and IXFR_MAX_PARTS.

Referenced by backup_read_ixfr(), tools_output(), and zone_recover2().